> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Updates



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/updates
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/updates:
    get:
      summary: List Updates
      operationId: list_updates_v1_updates_get
      parameters:
        - name: days
          in: query
          required: true
          schema:
            type: integer
            maximum: 30
            minimum: 1
            description: Lookback window in days (1-30)
            title: Days
          description: Lookback window in days (1-30)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatesResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdatesResponse:
      properties:
        days:
          type: integer
          title: Days
        models:
          items:
            $ref: '#/components/schemas/UpdateModel'
          type: array
          title: Models
        total:
          type: integer
          title: Total
      type: object
      required:
        - days
        - models
        - total
      title: UpdatesResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UpdateModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        organization:
          $ref: '#/components/schemas/OrganizationRef'
        model_type:
          type: string
          title: Model Type
        modalities:
          items:
            type: string
          type: array
          title: Modalities
        context_window:
          anyOf:
            - type: integer
            - type: 'null'
          title: Context Window
        release_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Release Date
        open_weight:
          type: boolean
          title: Open Weight
        added_at:
          type: string
          format: date-time
          title: Added At
        source:
          type: string
          title: Source
        url:
          type: string
          title: Url
      type: object
      required:
        - id
        - name
        - organization
        - model_type
        - modalities
        - open_weight
        - added_at
        - source
        - url
      title: UpdateModel
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrganizationRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: OrganizationRef
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````